Thursday, April 13, 2006

Installing FreeBSD Java Binaries

I just posted about the new FreeBSD Java packages. I figured I would try them out and show how the process works. It's been a while since I last described installing Java, back when compiling from source was required.

After downloading the binary for FreeBSD 6.0, I tried to install it.

orr:/tmp# ls -al diablo-jdk-freebsd6-1.5.0.06.00.tbz
-rw-r--r-- 1 richard wheel 54624741 Apr 13 07:30 diablo-jdk-freebsd6-1.5.0.06.00.tbz
orr:/tmp# pkg_add -v diablo-jdk-freebsd6-1.5.0.06.00.tbz
Requested space: 218498964 bytes, free space: 4397770752 bytes in /var/tmp/instmp.FMG03P
Package 'diablo-jdk-1.5.0.06.00' depends on 'xorg-libraries-6.8.2' with
'x11/xorg-libraries' origin.
- already installed.
Package 'diablo-jdk-1.5.0.06.00' depends on 'javavmwrapper-2.0_5' with
'java/javavmwrapper' origin.
pkg_add: could not find package javavmwrapper-2.0_5 !
pkg_add: 1 package addition(s) failed

That didn't work. Let me add the package it requires.

orr:/tmp# setenv PACKAGESITE ftp://ftp2.freebsd.org/pub/FreeBSD/ports/i386/packages-6-stable/Latest/
orr:/tmp# pkg_add -vr javavmwrapper
looking up ftp2.freebsd.org
connecting to ftp2.freebsd.org:21
setting passive mode
opening data connection
initiating transfer
Fetching ftp://ftp2.freebsd.org/pub/FreeBSD/ports/i386/packages-6-stable/Latest/javavmwrapper.tbz...
x +CONTENTS
x +COMMENT
x +DESC
x +INSTALL
x +DEINSTALL
x +MTREE_DIRS
x man/man1/checkvms.1.gz
x man/man1/javavm.1.gz
x man/man1/registervm.1.gz
x man/man1/unregistervm.1.gz
x man/man5/javavms.5.gz
x bin/classpath
x bin/javavm
x bin/registervm
x bin/unregistervm
x bin/checkvms
tar command returns 0 status
Done.
Running pre-install for javavmwrapper-2.0_6..
extract: Package name is javavmwrapper-2.0_6
extract: CWD to /usr/local
extract: /usr/local/man/man1/checkvms.1.gz
extract: /usr/local/man/man1/javavm.1.gz
extract: /usr/local/man/man1/registervm.1.gz
extract: /usr/local/man/man1/unregistervm.1.gz
extract: /usr/local/man/man5/javavms.5.gz
extract: /usr/local/bin/classpath
extract: /usr/local/bin/javavm
extract: /usr/local/bin/registervm
extract: /usr/local/bin/unregistervm
extract: /usr/local/bin/checkvms
extract: CWD to .
Running mtree for javavmwrapper-2.0_6..
mtree -U -f +MTREE_DIRS -d -e -p /usr/local >/dev/null
Running post-install for javavmwrapper-2.0_6..
Attempting to record package into /var/db/pkg/javavmwrapper-2.0_6..
Package javavmwrapper-2.0_6 registered in /var/db/pkg/javavmwrapper-2.0_6

Now I'll add the package again.

orr:/tmp# pkg_add -v diablo-jdk-freebsd6-1.5.0.06.00.tbz
Requested space: 218498964 bytes, free space: 4397742080 bytes in /var/tmp/instmp.PLZjeE
Package 'diablo-jdk-1.5.0.06.00' depends on 'xorg-libraries-6.8.2' with 'x11/xorg-libraries' origin.
- already installed.
Package 'diablo-jdk-1.5.0.06.00' depends on 'javavmwrapper-2.0_5' with 'java/javavmwrapper' origin.
- already installed.
Running pre-install for diablo-jdk-1.5.0.06.00..
FREEBSD FOUNDATION

Diablo Caffe Version 1.5.0-0 ("Software")

END USER LICENSE AGREEMENT

You may install this Software only if you are currently a licensee
of FreeBSD (including substantially similar versions of FreeBSD) for
your own internal use only with your copy(ies) of FreeBSD (including
substantially similar versions of FreeBSD). If you are an OEM - a person
who will bundle the Software with other software before distributing the
bundled product to end users - you must read and "accept" the provisions
of the OEM License Agreement. You must read the License Agreement and
enter "YES" below to continue your install. By doing so, you agree to
be bound by all of the terms of this License Agreement.
...edited...
Do you agree to the above license terms? [yes or no]
yes
extract: Package name is diablo-jdk-1.5.0.06.00
extract: CWD to /usr/local
extract: /usr/local/diablo-jdk1.5.0/COPYRIGHT
extract: /usr/local/diablo-jdk1.5.0/LICENSE
extract: /usr/local/diablo-jdk1.5.0/README.html
extract: /usr/local/diablo-jdk1.5.0/THIRDPARTYLICENSEREADME.txt
extract: /usr/local/diablo-jdk1.5.0/bin/ControlPanel
extract: /usr/local/diablo-jdk1.5.0/bin/HtmlConverter
extract: /usr/local/diablo-jdk1.5.0/bin/appletviewer
extract: /usr/local/diablo-jdk1.5.0/bin/apt
extract: /usr/local/diablo-jdk1.5.0/bin/extcheck
extract: /usr/local/diablo-jdk1.5.0/bin/idlj
extract: /usr/local/diablo-jdk1.5.0/bin/jar
extract: /usr/local/diablo-jdk1.5.0/bin/jarsigner
extract: /usr/local/diablo-jdk1.5.0/bin/java
...edited...
extract: /usr/local/diablo-jdk1.5.0/sample/nio/server/URLDumper.java
extract: /usr/local/diablo-jdk1.5.0/src.zip
extract: execute '/usr/local/bin/registervm
"/usr/local/diablo-jdk1.5.0/bin/java # DiabloCaffe${JDK_VERSION}"'
extract: CWD to .
Running mtree for diablo-jdk-1.5.0.06.00..
mtree -U -f +MTREE_DIRS -d -e -p /usr/local >/dev/null
Running post-install for diablo-jdk-1.5.0.06.00..
Attempting to record package into /var/db/pkg/diablo-jdk-1.5.0.06.00..
Trying to record dependency on package 'xorg-libraries-6.8.2' with 'x11/xorg-libraries' origin.
pkg_add: warning: package 'diablo-jdk-1.5.0.06.00' requires 'xorg-libraries-6.8.2',
but 'xorg-libraries-6.9.0' is installed
Trying to record dependency on package 'javavmwrapper-2.0_5' with 'java/javavmwrapper' origin.
pkg_add: warning: package 'diablo-jdk-1.5.0.06.00' requires 'javavmwrapper-2.0_5', but
'javavmwrapper-2.0_6' is installed
Package diablo-jdk-1.5.0.06.00 registered in /var/db/pkg/diablo-jdk-1.5.0.06.00

To see if it worked, I tried launching the Java program Metacoretex. Since I could get the program to run, it looks like the Java binaries are operating properly.

3 comments:

Anonymous said...

I did the same by using FreeBSD6.1RC1 and stable packages.
I'm also using xorg6.9.
To test it I run jedit (jedit.org) and it works like a charm!

Chris said...

Thanks for this post! I just finished installing the jdk on FreeBSD 6.1 and this was very helpful for that.

Anonymous said...

HI,

I am a newie trying to install jakarta-tomcat and Apache. It requires mod_jk. Any pointers for good tutorials or Howto?

Kind regards,

YK